Log4j 1.2.7

## org.apache.log4j.spi
Class DefaultRepositorySelector

    java.lang.Object
      |
      +--org.apache.log4j.spi.DefaultRepositorySelector

All Implemented Interfaces:
  RepositorySelector

public class DefaultRepositorySelector
extends Object
implements RepositorySelector

Constructor Summary
`DefaultRepositorySelector(LoggerRepository repository)`

Method Summary
`LoggerRepository` `getLoggerRepository()` Returns a `LoggerRepository` depending on the context.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultRepositorySelector

    public DefaultRepositorySelector(LoggerRepository repository)

Method Detail

### getLoggerRepository

    public LoggerRepository getLoggerRepository()

  Description copied from interface: `RepositorySelector`
  Returns a `LoggerRepository` depending on the context. Implementors must make sure that a valid (non-null) LoggerRepository is returned.
  Specified by:
    `getLoggerRepository` in interface `RepositorySelector`

Log4j 1.2.7

Copyright 2000-2002 Apache Software Foundation.